Package org.apache.sysds.runtime.iogen.template

# Class TemplateUtil

java.lang.Object
org.apache.sysds.runtime.iogen.template.TemplateUtil

public class TemplateUtil extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TemplateUtil.SplitInfo`
`static class`
`TemplateUtil.SplitOffsetInfos`

## Constructor Summary

Constructors
Constructor
Description
`TemplateUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getEndPos(String str, int strLen, int currPos, HashSet<String> endWithValueString)`
`static String`
`getStringChunkOfBufferReader(BufferedReader br, String remainedStr, int chunkSize)`
`static Pair<ArrayList<Pair<Long,Integer>>,Long>`
`getTokenIndexOnMultiLineRecords(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat inputFormat, org.apache.hadoop.mapred.JobConf job, String token)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateUtil

public TemplateUtil()

## Method Details

### getTokenIndexOnMultiLineRecords

public static Pair<ArrayList<Pair<Long,Integer>>,Long> getTokenIndexOnMultiLineRecords(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat inputFormat, org.apache.hadoop.mapred.JobConf job, String token) throws IOException

Throws:
  `IOException`

### getEndPos

public static int getEndPos(String str, int strLen, int currPos, HashSet<String> endWithValueString)

### getStringChunkOfBufferReader

public static String getStringChunkOfBufferReader(BufferedReader br, String remainedStr, int chunkSize)